Skip to content

Anonymize conversation

Request

Request the anonymization of a conversation.

Security
ApiKeyAuth
Path
conversationIdinteger, (int64)required

the id of the conversation to anonymize

Query
forceboolean

Whether to force close the conversation if it is found in a non closed state.

Default:false
PATCH
/v1/conversations/{conversationId}/anonymize
curl -i -X PATCH \
  'https://dev.dixa.io/v1/conversations/{conversationId}/anonymize?force=false' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

The conversation's anonymization request status

Bodyapplication/json
dataobject(AnonymizationRequestStatus)required
Response
{ "data": { "id": "87bac308-e49f-4134-84cc-96b868f1e1e4", "entityType": "ConversationAnonymizationType", "_type": "Conversation", "initiatedAt": "2021-12-01T12:46:36.581Z[GMT]", "targetEntityId": "10749", "requestedBy": "b165fdaa-51d6-44b0-bfcd-5f431d623fa7" } }